#if !defined(AFX_RECOVERERDLG_H__73AA01F1_36D5_11D4_BEBF_00A024AC5351__INCLUDED_)
#define AFX_RECOVERERDLG_H__73AA01F1_36D5_11D4_BEBF_00A024AC5351__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RecovererDlg.h : header file
//
#include "ConcertLib.h"

/////////////////////////////////////////////////////////////////////////////
// CRecovererDlg dialog

class CRecovererDlg : public CDialog
{
    // Construction
public:
    CRecovererDlg( CWnd* _pParent = NULL, CString _strBrowserName = "", BOOL * _pbDeleteOld = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CRecovererDlg)
    enum { IDD = IDD_RECOVERER };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CRecovererDlg)
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CRecovererDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CString m_strBrowserName ;
    BOOL *  m_pbDeleteOld ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RECOVERERDLG_H__73AA01F1_36D5_11D4_BEBF_00A024AC5351__INCLUDED_)
