/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __CONSTANTES_H__
#define __CONSTANTES_H__


#define ID_ERROR_SIZE       1000

//Events sent to view
#define ID_DISPLAY_PRIMARY_URL          1
#define ID_DEFAULT_GATEWAY_PARAMETER    2
#define ID_DISPLAY_CLIENTHEADER_URL     4
#define ID_DISPLAY_SERVERHEADER_URL     5
#define ID_SCL_CHECKER                  6
#define ID_CHECKER_ERROR                7
#define ID_DISPLAY_DOM_URL              8
#define ID_VAR_DECL_INSERTION           9
#define ID_REPLAY_SCL                   10

//Serialization
#define STR_SCL_GATEWAY_ENTRY           "Gateway"
#define STR_SCL_COMPILER_ENTRY          "SCLCompiler"
#define STR_SCL_TEXECUTER_ENTRY         "TExecuter"
#define STR_SCL_NETSCAPE_ENTRY          "NetscapeSettingsPath"

#define ID_SERIALIZE_MAINWND            1
#define ID_SERIALIZE_CHILDWND           2

//Separator
#define STR_HEADER_SEPARATOR             "\r\n"
#define STR_SCL_HEADER_FILE              "headers.ini"
#define STR_SOURCE                      "Source"
#define STR_CAPTURE                     "Capture"
#define STR_TMP                         ".TMP"

//DOM constantes
#define STR_LINK            "A"
#define STR_FRAME           "FRAME"
#define STR_IMAGE           "IMG"
#define STR_INPUT           "INPUT"
#define STR_SELECT          "SELECT"
#define STR_OPTION          "OPTION"
#define STR_TABLE           "TABLE"
#define STR_SCRIPT           "SCRIPT"
#define STR_OTHER           "Other"
#define STR_HREF            "HREF"
#define STR_SRC             "SRC"
#define STR_NAME            "NAME"
#define STR_TYPE            "TYPE"
#define STR_TYPE_TEXT       "text"
#define STR_TYPE_TEXT2      "\"text\""
#define STR_TYPE_PWD        "password"
#define STR_TYPE_PWD2       "\"password\""
#define STR_TYPE_CHECKBOX   "checkbox"
#define STR_TYPE_CHECKBOX2  "\"checkbox\""
#define STR_TYPE_RADIO      "radio"
#define STR_TYPE_RADIO2     "\"radio\""


#define UNTITLED_SCL_DOCUMENT _T("1UNTITLED.SCL")

#endif
