/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//{{AFX_INCLUDES()
#include "xinjectormon.h"
//}}AFX_INCLUDES
#if !defined(AFX_CECINJECTORVIEW_H__A2825E43_0ED6_11D4_BD8D_00C04F89E392__INCLUDED_)
#define AFX_CECINJECTORVIEW_H__A2825E43_0ED6_11D4_BD8D_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECInjectorView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECInjectorView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include "resource.h"

class CECInjectorView : public CFormView
{
protected:
    CECInjectorView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CECInjectorView)

    // Form Data
public:
    //{{AFX_DATA(CECInjectorView)
    enum { IDD = IDD_INJECTOR_VIEW };
    CXInjectorMon   m_ctlInjectorMon;
    //}}AFX_DATA

    // Attributes
public:

    // Operations
public:
    void SetRefreshRate(int nRate);

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECInjectorView)
public:
    virtual void OnInitialUpdate();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CECInjectorView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
    //{{AFX_MSG(CECInjectorView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnSetFocus(CWnd* pNewWnd);
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);
    afx_msg void OnShowDynGraphXinjectormonctrl1(LPCTSTR szRegName,LPCTSTR szInjector);
    afx_msg void OnControlClosingXinjectormonctrl1();
    afx_msg void OnUpdateTitle(LPCTSTR szTitle);
    DECLARE_EVENTSINK_MAP()
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    CString m_szTitle;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECINJECTORVIEW_H__A2825E43_0ED6_11D4_BD8D_00C04F89E392__INCLUDED_)
