/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//{{AFX_INCLUDES()
#include "cecxotaeditorwrapper.h"
//}}AFX_INCLUDES
#if !defined(AFX_CECOTAEDITORDLG_H__20C8D133_A642_11D3_BD5F_00C04F89E392__INCLUDED_)
#define AFX_CECOTAEDITORDLG_H__20C8D133_A642_11D3_BD5F_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECOTAEditorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECOTAEditorDlg dialog
class CYRServer;
class CECOTAEditorDlg : public CDialog
{
    // Construction
public:
    CECOTAEditorDlg(const CString &strTof = "",CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CECOTAEditorDlg)
    enum { IDD = IDD_OTA_EDITOR_DLG };
    CECXOTAEditorWrapper    m_ctlXOTAEditor;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECOTAEditorDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CECOTAEditorDlg)
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnDestroy();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    CString m_strTOFFilePath;
    CString m_strTofName;
    CYRServer *m_pServer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECOTAEDITORDLG_H__20C8D133_A642_11D3_BD5F_00C04F89E392__INCLUDED_)
