#if !defined(AFX_CECSOURCEEDITVIEW_H__21A886D7_135C_11D3_BDEA_00A02456D506__INCLUDED_)
#define AFX_CECSOURCEEDITVIEW_H__21A886D7_135C_11D3_BDEA_00A02456D506__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECSourceEditView.h : header file
//
#include "CECSourceEditDoc.h"
/////////////////////////////////////////////////////////////////////////////
// CECSourceEditView view

class CECSourceEditView : public SECEditView
{
protected:
    CECSourceEditView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CECSourceEditView)

    // Attributes
public:
    SECEdit* GetEdit();
    CECSourceEditDoc* GetDocument();

    // Bring to the front of the Z_Order
    void BringToFront();

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECSourceEditView)
protected:
    virtual void OnDraw(CDC* pDC);      // overridden to draw this view
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CECSourceEditView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
protected:
    //{{AFX_MSG(CECSourceEditView)
    afx_msg LRESULT OnGetEditedFile();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in commanderView.cpp
inline CECSourceEditDoc* CECSourceEditView::GetDocument()
{
    return (CECSourceEditDoc*)m_pDocument;
}
#endif
/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECSOURCEEDITVIEW_H__21A886D7_135C_11D3_BDEA_00A02456D506__INCLUDED_)
