/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRGenericChildFrm.h
// --------------------
//
//    This is the include file for the CYRGenericChildFrm class
//
//=========================================================================

//
//    Required headers
//
#include "CYRWorksheet.h"

/////////////////////////////////////////////////////////////////////////////
// CYRGenericChildFrm frame

class CYRGenericChildFrm : public CYRWorksheet
{
    DECLARE_DYNCREATE(CYRGenericChildFrm)
protected:
    CYRGenericChildFrm();           // protected constructor used by dynamic creation

    // Attributes
public:

    // Operations
public:

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRGenericChildFrm)
    //}}AFX_VIRTUAL

    // Implementation

#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Implementation
protected:
    virtual ~CYRGenericChildFrm();

    // Generated message map functions
    //{{AFX_MSG(CYRGenericChildFrm)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
