/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_GRIDCTRL_H__994F0F74_CE88_11D3_BD6F_00C04F89E392__INCLUDED_)
#define AFX_GRIDCTRL_H__994F0F74_CE88_11D3_BD6F_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GridCtrl.h : header file
//
#include "CECGridCtrl.h"
/////////////////////////////////////////////////////////////////////////////
// CGridCtrl window

class CYRGridCtrl : public CECGridCtrl
{
    // Construction
public:
    CYRGridCtrl();

    // Attributes
public:

    // Operations
public:
    virtual void  OnEditCell(int nRow, int nCol, CPoint point, UINT nChar);
    virtual void  OnEndEditCell(int nRow, int nCol, CString str);
    //  virtual BOOL GetStyleRowCol(ROWCOL nRow, ROWCOL nCol, CGXStyle& style, GXModifyType mt, int nType);
    //  virtual void DrawInvertCell(CDC* /*pDC*/, ROWCOL nRow, ROWCOL nCol, CRect rectItem);
    //  virtual void OnClickedButtonRowCol(ROWCOL nRow, ROWCOL nCol);
    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CYRGridCtrl)
protected:
    virtual void PreSubclassWindow();
    //}}AFX_VIRTUAL

    CToolTipCtrl m_ctlToolTip;
    void RelayEvent(UINT message, WPARAM wParam, LPARAM lParam);

    // Implementation
public:
    virtual ~CYRGridCtrl();

    // Generated message map functions
protected:

    //{{AFX_MSG(CYRGridCtrl)
    afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
    afx_msg void OnMouseMove(UINT nFlags, CPoint point);
    afx_msg UINT OnNcHitTest(CPoint point);
    afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
    CString m_strTipTextPrevious;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GRIDCTRL_H__994F0F74_CE88_11D3_BD6F_00C04F89E392__INCLUDED_)
