#if !defined(AFX_PROPERTIESDLG_H__9173C106_23D6_11D3_BDFF_00A02456D506__INCLUDED_)
#define AFX_PROPERTIESDLG_H__9173C106_23D6_11D3_BDFF_00A02456D506__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropertiesDlg.h : header file
//
#include "CyrStApi\CyrStLib.h"
#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CPropertiesDlg dialog

class CPropertiesDlg : public CDialog
{
    // Construction
public:
    void SetItemInfo(CString strPath, int nType);
    CPropertiesDlg(CWnd* pParent = NULL);   // standard constructor
    void SetServerInfo(CECComServer* pServer, CString strActiveProject);

    // Dialog Data
    //{{AFX_DATA(CPropertiesDlg)
    enum { IDD = IDD_ITEM_PROPERTIES };
    CString m_strType;
    CString m_strName;
    CString m_strCreateTime;
    CString m_strDesc;
    CString m_strModifyTime;
    CString m_strLocalPath;
    CString m_strModifiedBy;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CPropertiesDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CPropertiesDlg)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
private:
    void SetProjectInfo();
    void SetFileInfo(CString strExt);
    void SetNodeInfo();
    void SetTofInfo();
    CString m_strActiveProject;
    CECComFolder* m_pComRootFolder;
    CECComProject* m_pComProject;
    CECComServer* m_pServer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPERTIESDLG_H__9173C106_23D6_11D3_BDFF_00A02456D506__INCLUDED_)
