#if !defined(AFX_OPENDOCUMENTDLG_H__C91C83A4_8E01_11D4_949D_00C04F89E392__INCLUDED_)
#define AFX_OPENDOCUMENTDLG_H__C91C83A4_8E01_11D4_949D_00C04F89E392__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OpenDocumentDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COpenDocumentDlg dialog

class COpenDocumentDlg : public CDialog
{
    // Construction
public:
    COpenDocumentDlg(CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(COpenDocumentDlg)
    enum { IDD = IDD_OPENDOCUMENT_DLG };
    CListCtrl   m_ctlFileList;
    //}}AFX_DATA

    CString m_strFileName;
    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(COpenDocumentDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(COpenDocumentDlg)
    afx_msg void OnDblclkFileList(NMHDR* pNMHDR, LRESULT* pResult);
    virtual void OnOK();
    virtual BOOL OnInitDialog();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENDOCUMENTDLG_H__C91C83A4_8E01_11D4_949D_00C04F89E392__INCLUDED_)
