/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#ifndef __WIZARD_DEFS__
#define __WIZARD_DEFS__

//This file contains the values used in the .wiz file 

//PROFILE VALUE NAMES
#define WIZARD_TEST_NAME					_T("Test Name")
#define WIZARD_TEST_DESCRIPTION				_T("Test Description")
#define WIZARD_DEPENDENCIES_NUMBER			_T("Number")
#define WIZARD_DEPENDENCIES_FORMAT			_T("%d")
#define WIZARD_TEST_NUM_V_USERS				_T("Num V Users")
#define WIZARD_TEST_RANDOM_ITER_DELAY		_T("Random Iteration Delay")
#define WIZARD_TEST_ITER_DELAY				_T("Iteration Delay")
#define WIZARD_TEST_MIN_ITER_DELAY			_T("Min Iteration Delay")
#define WIZARD_TEST_MAX_ITER_DELAY			_T("Max Iteration Delay")
#define WIZARD_TEST_NUM_ITERATIONS			_T("Num Iterations")
#define WIZARD_TEST_GEN_PAGE_TIMERS			_T("Generate Page Timers")
#define WIZARD_TEST_NUM_BROWSER_TYPES		_T("Num Browser Types")
#define WIZARD_TEST_STAT_LEVEL				_T("StatLevel")
#define WIZARD_TEST_TYPE					_T("Type")
#define WIZARD_TEST_EPILOG_SCRIPT			_T("Epilog Script")
#define WIZARD_TEST_PROLOG_SCRIPT			_T("Prolog Script")
#define WIZARD_TEST_NUM_DEP_SCRIPTS			_T("Num Dependency Scripts")
#define WIZARD_TEST_DEP_SCRIPT_FORMAT		_T("Dependency Script %d ")
#define WIZARD_TEST_DEP_NAME_EXT			_T("Name")
#define WIZARD_TEST_DEP_PERCENT_EXT			_T("Percent")
#define WIZARD_TEST_DEP_DESCRIPTION_EXT		_T("Description")
#define WIZARD_TEST_BROWSER_FORMAT			_T("Browser %d")
#define WIZARD_TEST_BROWSER_NAME_EXT		_T(" Name")
#define WIZARD_TEST_BROWSER_AGENT_EXT		_T(" Agent")
#define WIZARD_TEST_BROWSER_PERCENT_EXT		_T(" Percent")
#define WIZARD_TEST_MODE					_T("Mode")
#define WIZARD_TEST_NUM_SELECTED_TESTS		_T("Num selected Tests")
#define WIZARD_TEST_SELECTED_TEST_FORMAT	_T("Test %d")

#define WIZARD_TEST_EXEC_INJECTOR_COUNT		_T("Injector Count")
#define WIZARD_TEST_EXEC_INTERVAL			_T("Interval")
#define WIZARD_TEST_EXEC_USERS_PER_INTERVAL	_T("Users/Interval")
#define WIZARD_TEST_EXEC_ROW_FORMAT			_T("Injector%d")



//PROFILE SECTION NAMES
#define WIZARD_TEST							_T("Wizard Test")
#define WIZARD_DEPENDENCIES					_T("Dependencies")
#define WIZARD_TEST_EXEC					_T("Test Exec")


//Misc wizard defines
#define SIMPLETEST							_T("Simple Test")
#define GROUPTEST							_T("Group Test")

#endif __WIZARD_DEFS__