/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_INJECTORVIEWREFRESHRATEDLG_H__62DCC1E3_1048_11D4_BD8E_00C04F89E392__INCLUDED_)
#define AFX_INJECTORVIEWREFRESHRATEDLG_H__62DCC1E3_1048_11D4_BD8E_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InjectorViewRefreshRateDlg.h : header file
//

#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CInjectorViewRefreshRateDlg dialog

class CInjectorViewRefreshRateDlg : public CDialog
{
    // Construction
public:
    CInjectorViewRefreshRateDlg(int nRefreshRate,CWnd* pParent = NULL);   // standard constructor

    // Dialog Data
    //{{AFX_DATA(CInjectorViewRefreshRateDlg)
    enum { IDD = IDD_INJECTOR_REFRESH_RATE };
    CSliderCtrl m_ctlRateSlider;
    CString m_strRateText;
    //}}AFX_DATA

    int GetRefreshRate()
    {
        return m_nRefreshRate;
    }

    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CInjectorViewRefreshRateDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CInjectorViewRefreshRateDlg)
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    afx_msg void OnFullHelp();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    int m_nRefreshRate;
private:
    CString m_szHtmlHelpFile;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INJECTORVIEWREFRESHRATEDLG_H__62DCC1E3_1048_11D4_BD8E_00C04F89E392__INCLUDED_)
