/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

//{{AFX_INCLUDES()
#include "httpstatsocx.h"
//}}AFX_INCLUDES
#if !defined(AFX_CECHTTPLISTVIEW_H__067240D4_4131_11D4_BDAD_00C04F89E392__INCLUDED_)
#define AFX_CECHTTPLISTVIEW_H__067240D4_4131_11D4_BDAD_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CECHttpListView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CECHttpListView form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CECHttpListView : public CFormView
{
protected:
    CECHttpListView();           // protected constructor used by dynamic creation
    DECLARE_DYNCREATE(CECHttpListView)

    // Form Data
public:
    //{{AFX_DATA(CECHttpListView)
    enum { IDD = IDD_HTTPSTATS_DIALOG };
    CHttpStatsOcx   m_ctlHttpStatsList;
    //}}AFX_DATA

    // Attributes
public:

    // Operations
public:
    void Initialize(int nRunIndex);
    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CECHttpListView)
public:
    virtual void OnInitialUpdate();
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:
    virtual ~CECHttpListView();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Generated message map functions
    //{{AFX_MSG(CECHttpListView)
    afx_msg void OnSize(UINT nType, int cx, int cy);
    //}}AFX_MSG
    afx_msg BOOL OnEraseBkgnd(CDC *pDC);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CECHTTPLISTVIEW_H__067240D4_4131_11D4_BDAD_00C04F89E392__INCLUDED_)
