/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/////////////////////////////////////////////////////////////////////////
//
// CYRGenericDoc.cpp
// -----------------
//
//    This is the implementation file for the CYRGenericDoc class
//
//=========================================================================

#include "stdafx.h"

//
//    Architecture includes
//
#include "CyrStAPI\CECComProject.h"
#include "CyrStAPI\CECComFolder.h"

//
//    Project includes
//
#include "CYRGenericDoc.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CYRGenericDoc

IMPLEMENT_DYNCREATE(CYRGenericDoc, CDocument)

BEGIN_MESSAGE_MAP(CYRGenericDoc, CDocument)
//{{AFX_MSG_MAP(CYRGenericDoc)
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CYRGenericDoc construction/destruction

CYRGenericDoc::CYRGenericDoc()
{}


CYRGenericDoc::~CYRGenericDoc()
{}

/////////////////////////////////////////////////////////////////////////////
// CYRGenericDoc serialization


void CYRGenericDoc::Serialize(CArchive& ar)
{
    if (ar.IsStoring())
    {
        // TODO: add storing code here
    }

    else
    {
        // TODO: add loading code here
    }

}

/////////////////////////////////////////////////////////////////////////////
// CYRGenericDoc diagnostics

#ifdef _DEBUG
void CYRGenericDoc::AssertValid() const
{
    CDocument::AssertValid();
}

void CYRGenericDoc::Dump(CDumpContext& dc) const
{
    CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CYRGenericDoc commands

BOOL CYRGenericDoc::OnNewDocument()
{
    if (!CDocument::OnNewDocument())
        return FALSE;

    return TRUE;
}

void CYRGenericDoc::OnCloseDocument()
{
    // TODO: Add your specialized code here and/or call the base class

    CDocument::OnCloseDocument();
}
